Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PG Namespace Reference

## Compounds
class | Properties_Encoder
## Functions
TAO_PortableGroup_Export CORBA::Boolean | get_property_value (const PortableGroup::Name &property_name, const PortableGroup::Properties &properties, PortableGroup::Value &property_value)
TAO_PortableGroup_Export void | override_properties (const PortableGroup::Properties &overrides, PortableGroup::Properties &properties)

## Function Documentation

CORBA::Boolean TAO_PG::get_property_value | ( | const PortableGroup::Name & | property_name,
|  | const PortableGroup::Properties & | properties,
|  | PortableGroup::Value & | property_value
| ) |

| Returns: true if successful, false otherwise

void TAO_PG::override_properties | ( | const PortableGroup::Properties & | overrides,
|  | PortableGroup::Properties & | properties
| ) |

| If no property is overridden, the override in question will be appended to the "properties" list.